Skip to content

List all admins

Request

You can fetch a list of admins for a given workspace.

Security
bearerAuth
Query
display_avatarboolean

If set to true, the response will include the admin's avatar object containing the image URL. Defaults to false.

Example:display_avatar=true
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  'https://api.intercom.io/admins?display_avatar=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value admin.list.

Example:"admin.list"
adminsArray of objects(Admin)

A list of admins associated with a given workspace.

Response
{ "type": "admin.list", "admins": [ {} ] }